%global momorel 2
%global md5sum_src0 e089b28a0267faabdb6c079ee173664a

Name: freealut
Version: 1.1.0
Release: %{momorel}m%{?dist}
Summary: implementation of OpenAL's ALUT standard
#'
Group: System Environment/Libraries
License: GPL
URL: http://openal.org/
%NoSource 0 http://openal.org/openal_webstf/downloads/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openal-devel

%description
freealut is a free implementation of OpenAL's ALUT standard. See the file
AUTHORS for the people involved.
#'

%package devel
Summary: Development files for freealut
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} 
Requires: pkgconfig
Requires: openal-devel

%description devel
Development headers and libraries needed for freealut development

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libalut.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/freealut-config
%{_includedir}/AL/alut.h
%{_libdir}/libalut.a
%{_libdir}/libalut.so
%{_libdir}/pkgconfig/freealut.pc

%changelog
* Sun Sep 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-2m)
- To Main

* Fri Sep 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.0-1m)
- initial build
